/*

PopupEval.java
  -- classes implementing the toplevel applet for IAsolver,
     as part of the "ia_solver library" version 0.1beta1, 10/97

Copyright (C) 1997 Timothy J. Hickey

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public
License along with this library; if not, write to the
Free Software Foundation, Inc., 59 Temple Place - Suite 330,
Boston, MA  02111-1307, USA.

 */



/**
 * ia_solver is a package for solving nonlinear equations
 * using interval arithmetic techniques. It has been designed
 * to be used as an applet or an application.
 */
package ia_solver;

import java.awt.*;
import java.applet.*;

/**
 * The PopupEval class is the applet version of the interval
 * arithmetic solver in the ia_solve package.
 */
public class PopupEval extends Applet
{
   Button show_hide;
   boolean is_showing=false;

   public void init()
   { 
      show_hide = new Button("Show IAsolver");
      add(show_hide);
      
   }
   

   public boolean action(Event evt, Object arg)
   {
      if(arg.equals("Show IAsolver"))
      {
           eval.show(); 
      }
      else return super.action(evt,arg);
      return true;
   }
   
  public void destroy() {
      eval.destroy();
  }

   Interface eval = new Interface(true);
};         
